pragma solidity ^0.4.23;

import "truffle/Assert.sol";
import "truffle/DeployedAddresses.sol";
import "../contracts/ShowTrader.sol";

contract TestShowTrader {
    ShowTrader trader = ShowTrader(DeployedAddresses.ShowTrader());

    function testCreateFirstShow() public {
        string memory d = "dance";
        string memory m = "music";
        trader.createFirstShow("my first show", bytes(d), bytes(m));
        string memory name;
        (name,,) = trader.shows(0);
        Assert.equal(name, "my first show", "The name of show is not as expected");
    }
} // quite useless
