/* eslint no-undef: "off" */
/* eslint arrow-body-style: ["error", "always"] */
const ShowTrader = artifacts.require('ShowTrader')

contract('ShowTrader Test', (accounts) => {
    let trader
    const showName = '1st show'
    const danceData = '0x111000'
    const musicData = '0x111000'
    it('should create 1 show', () => {
        return ShowTrader.deployed()
        .then((instance) => {
            trader = instance
            return trader.createFirstShow(showName, danceData, musicData, { from: accounts[0] })
        })
        .then(() => {
            return trader.getShowsByOwner.call(accounts[0])
        })
        .then((shows) => {
            const id = shows[0].toNumber()
            return trader.shows(id)
        })
        .then((show) => {
            assert.equal(show[0], showName)
            assert.equal(show[1], danceData)
            assert.equal(show[2], musicData)
        })
    })
})
